KDUMPID(1)

NAME
KdumpID - A tool to identify kernel memory dumps

SYNOPSIS
kdumpid [-v] <dumpfile>

DESCRIPTION
kdumpid provides a fast and reliable method to find out the most important information about an unknown kernel crash dump, such as the architecture and kernel release. Think of it as a kind of "file" utility for kernel dumps.

At present, kdumpid can read:

- LKCD files
- DISKDUMP/KDUMP files
- ELF dumps (including support for both Xen Dom0 and DomU).

The following architectures are fully supported:

- x86
- x86-64
- ppc
- ppc64
- s390
- s390x.

Other architectures may produce some output if the information can be found in the file header.

OPERATION
By default, kdumpid will print the kernel dump's format, architecture and version.

OPTIONS

-v  Try to extract and print additional information from the memory dump, such as: the machine type, the full kernel banner string and the kernel configuration flavor.

SEE ALSO
crash(8), makedumpfile(8), kdump(7).

AUTHOR
KdumpID was written by Petr Tesarik.